Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Evaluation/Evaluation.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Evaluation/Evaluation.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Evaluation/Evaluation.cs	(revision 16712)
@@ -25,8 +25,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("GQAP Evaluation", "Class that contains the results of evaluating a solution to the GQAP.")]
-  [StorableClass]
+  [StorableType("765222A4-9184-42FF-9413-886BC9B2EF03")]
   public class Evaluation : Item {
 
@@ -64,5 +65,5 @@
     
     [StorableConstructor]
-    protected Evaluation(bool deserializing) : base(deserializing) { }
+    protected Evaluation(StorableConstructorFlag _) : base(_) { }
     protected Evaluation(Evaluation original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Evaluation/GQAPNMoveEvaluator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Evaluation/GQAPNMoveEvaluator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Evaluation/GQAPNMoveEvaluator.cs	(revision 16712)
@@ -29,8 +29,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("N-Move Evaluator", "Evaluates an N-Move.")]
-  [StorableClass]
+  [StorableType("EB4CCB5D-8FAC-4DFD-944E-1AC418AAE091")]
   public class GQAPNMoveEvaluator : SingleSuccessorOperator, IGQAPNMoveEvaluator,
     IQualityAwareGQAPOperator, IProblemInstanceAwareGQAPOperator, IAssignmentAwareGQAPOperator {
@@ -66,5 +67,5 @@
 
     [StorableConstructor]
-    protected GQAPNMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected GQAPNMoveEvaluator(StorableConstructorFlag _) : base(_) { }
     protected GQAPNMoveEvaluator(GQAPNMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public GQAPNMoveEvaluator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAP.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAP.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAP.cs	(revision 16712)
@@ -34,9 +34,10 @@
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Problems.Instances;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("Generalized Quadratic Assignment Problem (GQAP)", "The Generalized Quadratic Assignment Problem (GQAP) is a generalization of the QAP in that it allows to assign multiple facilities (here called equipment) to a single location. The problem is described in Lee, C.G., and Ma, Z. 2003. The Generalized Quadratic Assignment Problem. Technical Report M5S 3G8, University of Toronto, Canada.")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems)]
-  [StorableClass]
+  [StorableType("20DC9B2F-F667-425E-A235-B0192CCB1BF4")]
   public sealed class GQAP : SingleObjectiveBasicProblem<IntegerVectorEncoding>,
     IProblemInstanceConsumer<QAPData>,
@@ -87,5 +88,5 @@
 
     [StorableConstructor]
-    private GQAP(bool deserializing) : base(deserializing) { }
+    private GQAP(StorableConstructorFlag _) : base(_) { }
     private GQAP(GQAP original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPAssignment.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPAssignment.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPAssignment.cs	(revision 16712)
@@ -25,8 +25,9 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("Generalized QAP Assignment", "Represents the solution as well as the problem parameters of a GQAP instance.")]
-  [StorableClass]
+  [StorableType("8DAC9356-54EE-4EDC-9AB4-0DA47F111920")]
   public sealed class GQAPAssignment : Item, INotifyPropertyChanged {
 
@@ -54,5 +55,5 @@
 
     [StorableConstructor]
-    private GQAPAssignment(bool deserializing) : base(deserializing) { }
+    private GQAPAssignment(StorableConstructorFlag _) : base(_) { }
     private GQAPAssignment(GQAPAssignment original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPAssignmentArchive.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPAssignmentArchive.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPAssignmentArchive.cs	(revision 16712)
@@ -24,8 +24,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("GQAPAssignmentArchive", "Stores the pareto front of assignments.")]
-  [StorableClass]
+  [StorableType("EA3C4BB4-322B-47EB-8A04-95DADA3D2C02")]
   public sealed class GQAPAssignmentArchive : Item, INotifyPropertyChanged {
 
@@ -53,5 +54,5 @@
 
     [StorableConstructor]
-    private GQAPAssignmentArchive(bool deserializing) : base(deserializing) { }
+    private GQAPAssignmentArchive(StorableConstructorFlag _) : base(_) { }
     private GQAPAssignmentArchive(GQAPAssignmentArchive original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPInstance.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPInstance.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPInstance.cs	(revision 16712)
@@ -27,8 +27,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("GQAP Instance", "Instance of a generalized quadratic assignment problem.")]
-  [StorableClass]
+  [StorableType("54208525-4EF6-404F-AF4A-52927104C563")]
   public class GQAPInstance : ParameterizedNamedItem {
     public static readonly string WeightsDescription = "The weights matrix describes the flows between the equipments.";
@@ -131,5 +132,5 @@
 
     [StorableConstructor]
-    protected GQAPInstance(bool deserializing) : base(deserializing) { }
+    protected GQAPInstance(StorableConstructorFlag _) : base(_) { }
     protected GQAPInstance(GQAPInstance original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPSolution.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPSolution.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/GQAPSolution.cs	(revision 16712)
@@ -25,8 +25,9 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("GQAPSolution", "A solution to the Generalized Quadratic Assignment Problem.")]
-  [StorableClass]
+  [StorableType("D4CC7924-87BF-4499-9149-D18000AD8151")]
   public class GQAPSolution : Item, INotifyPropertyChanged {
 
@@ -54,5 +55,5 @@
 
     [StorableConstructor]
-    protected GQAPSolution(bool deserializing) : base(deserializing) { }
+    protected GQAPSolution(StorableConstructorFlag _) : base(_) { }
     protected GQAPSolution(GQAPSolution original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment-3.3.csproj
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment-3.3.csproj	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment-3.3.csproj	(revision 16712)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Problems.GeneralizedQuadraticAssignment</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.GeneralizedQuadraticAssignment-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -41,4 +41,9 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\bin\HEAL.Attic.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
     <Reference Include="HeuristicLab.Analysis-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPCrossover.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPCrossover.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPCrossover.cs	(revision 16712)
@@ -23,6 +23,8 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("E2FD76F9-82CC-466A-AB42-5B31F02D45FC")]
   public interface IGQAPCrossover : IGQAPOperator, ICrossover {
     IScopeTreeLookupParameter<IntegerVector> ParentsParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPLocalImprovementOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPLocalImprovementOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPLocalImprovementOperator.cs	(revision 16712)
@@ -23,6 +23,8 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("D22AA954-0957-4F71-9D3C-A614F53A4821")]
   public interface IGQAPLocalImprovementOperator : ILocalImprovementAlgorithmOperator {
     ILookupParameter<IntegerVector> AssignmentParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPManipulator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPManipulator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPManipulator.cs	(revision 16712)
@@ -23,6 +23,8 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("A3C58BBD-1652-456B-AF71-D58F782A47D6")]
   public interface IGQAPManipulator : IManipulator {
     ILookupParameter<IntegerVector> AssignmentParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPMoveEvaluator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPMoveEvaluator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPMoveEvaluator.cs	(revision 16712)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("8DE86FE9-07B9-4550-B36C-4DC6B2F58272")]
   public interface IGQAPMoveEvaluator : IGQAPMoveOperator, ISingleObjectiveMoveEvaluator {
     ILookupParameter<Evaluation> MoveEvaluationParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPMoveOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPMoveOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPMoveOperator.cs	(revision 16712)
@@ -23,6 +23,8 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("BB1D416A-CFE4-4CEF-875F-905F38861087")]
   public interface IGQAPMoveOperator : IMoveOperator {
     ILookupParameter<IntegerVector> AssignmentParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPNMoveEvaluator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPNMoveEvaluator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPNMoveEvaluator.cs	(revision 16712)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HEAL.Attic;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("ACEEB42B-09AA-432C-98B4-2C6BBF0D38E5")]
   public interface IGQAPNMoveEvaluator : IGQAPMoveEvaluator, IGQAPNMoveOperator { }
 }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPNMoveOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPNMoveOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPNMoveOperator.cs	(revision 16712)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("4128D4FF-A36C-4D3F-ADE1-B63407D5C7DE")]
   public interface IGQAPNMoveOperator : IGQAPMoveOperator {
     ILookupParameter<NMove> MoveParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPOperator.cs	(revision 16712)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("521D5B7F-85A0-4BE9-89B2-CA0C3B5B9338")]
   public interface IGQAPOperator : IOperator { }
 }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPSolutionCreator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPSolutionCreator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Operator/IGQAPSolutionCreator.cs	(revision 16712)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Encodings.IntegerVectorEncoding;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
-  public interface IGQAPSolutionCreator : IIntegerVectorCreator {  }
+  [StorableType("02E67D15-F15E-4255-855B-8BA2534E7B2E")]
+  public interface IGQAPSolutionCreator : IIntegerVectorCreator { }
 }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IAssignmentAwareGQAPOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IAssignmentAwareGQAPOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IAssignmentAwareGQAPOperator.cs	(revision 16712)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.IntegerVectorEncoding;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("1A005153-0B2E-4C8F-993A-F7B03438A359")]
   public interface IAssignmentAwareGQAPOperator : IGQAPOperator {
     ILookupParameter<IntegerVector> AssignmentParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IBestKnownQualityAwareGQAPOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IBestKnownQualityAwareGQAPOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IBestKnownQualityAwareGQAPOperator.cs	(revision 16712)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("91E65BE8-8BFA-440B-A314-0494E70ED558")]
   public interface IBestKnownQualityAwareGQAPOperator : IGQAPOperator {
     ILookupParameter<DoubleValue> BestKnownQualityParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IBestKnownSolutionAwareGQAPOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IBestKnownSolutionAwareGQAPOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IBestKnownSolutionAwareGQAPOperator.cs	(revision 16712)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("A90653A3-28DB-49AD-A7D5-07F689116BC6")]
   public interface IBestKnownSolutionAwareGQAPOperator : IGQAPOperator {
     ILookupParameter<GQAPAssignment> BestKnownSolutionParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IBestKnownSolutionsAwareGQAPOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IBestKnownSolutionsAwareGQAPOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IBestKnownSolutionsAwareGQAPOperator.cs	(revision 16712)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("C8CCB98C-2792-427C-9C31-289364C4CFF7")]
   public interface IBestKnownSolutionsAwareGQAPOperator : IGQAPOperator {
     ILookupParameter<GQAPAssignmentArchive> BestKnownSolutionsParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IMoveQualityAwareGQAPOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IMoveQualityAwareGQAPOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IMoveQualityAwareGQAPOperator.cs	(revision 16712)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("9CFFCC2B-E7AC-4719-ABA8-4FAAD1EE106F")]
   public interface IMoveQualityAwareGQAPOperator : IGQAPMoveOperator {
     ILookupParameter<DoubleValue> MoveQualityParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IProblemInstanceAwareGQAPOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IProblemInstanceAwareGQAPOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IProblemInstanceAwareGQAPOperator.cs	(revision 16712)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("5780BD3B-C406-4C0E-96E9-52336301FFA2")]
   public interface IProblemInstanceAwareGQAPOperator : IGQAPOperator {
     ILookupParameter<GQAPInstance> ProblemInstanceParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IQualitiesAwareGQAPOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IQualitiesAwareGQAPOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IQualitiesAwareGQAPOperator.cs	(revision 16712)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("94E6E70C-6BF4-4F57-9D2E-8AC7E5716C34")]
   public interface IQualitiesAwareGQAPOperator : IGQAPOperator {
     IScopeTreeLookupParameter<DoubleValue> QualityParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IQualityAwareGQAPOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IQualityAwareGQAPOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Interfaces/Parameter/IQualityAwareGQAPOperator.cs	(revision 16712)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
+  [StorableType("903B1E5E-980E-440D-BFEF-C4EC8E3D01B4")]
   public interface IQualityAwareGQAPOperator : IGQAPOperator {
     ILookupParameter<DoubleValue> QualityParameter { get; }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/ExhaustiveOneMoveGenerator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/ExhaustiveOneMoveGenerator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/ExhaustiveOneMoveGenerator.cs	(revision 16712)
@@ -29,8 +29,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("Exhaustive 1-Move MoveGenerator", "Exhaustively generates all possible 1-moves.")]
-  [StorableClass]
+  [StorableType("A200C3BE-D761-4F82-9CA9-44A7BB2AB0DD")]
   public class ExhaustiveOneMoveGenerator : GQAPNMoveGenerator, IStochasticOperator, IExhaustiveMoveGenerator {
     
@@ -40,5 +41,5 @@
 
     [StorableConstructor]
-    protected ExhaustiveOneMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected ExhaustiveOneMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected ExhaustiveOneMoveGenerator(ExhaustiveOneMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public ExhaustiveOneMoveGenerator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/GQAPMoveGenerator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/GQAPMoveGenerator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/GQAPMoveGenerator.cs	(revision 16712)
@@ -27,8 +27,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("GQAPMoveGenerator", "Base class for move generators for the Generalized Quadratic Assignment Problem.")]
-  [StorableClass]
+  [StorableType("4CB9C31B-4ACA-4ED6-8C7E-756319EFB8FF")]
   public abstract class GQAPMoveGenerator : SingleSuccessorOperator, IMoveGenerator, IGQAPMoveOperator,
     IProblemInstanceAwareGQAPOperator {
@@ -44,5 +45,5 @@
 
     [StorableConstructor]
-    protected GQAPMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected GQAPMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected GQAPMoveGenerator(GQAPMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public GQAPMoveGenerator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/GQAPNMoveGenerator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/GQAPNMoveGenerator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/GQAPNMoveGenerator.cs	(revision 16712)
@@ -28,8 +28,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("N-Move Generator", "Base class for move operators that generate N-Move moves.")]
-  [StorableClass]
+  [StorableType("AC6F4053-7EEF-4125-A6F7-C93A3DC7001A")]
   public abstract class GQAPNMoveGenerator : GQAPMoveGenerator, IGQAPNMoveOperator {
 
@@ -46,5 +47,5 @@
 
     [StorableConstructor]
-    protected GQAPNMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected GQAPNMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected GQAPNMoveGenerator(GQAPNMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public GQAPNMoveGenerator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMove.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMove.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMove.cs	(revision 16712)
@@ -25,8 +25,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("N-Move", "An N-Move describes the relocation of n equipments to n different locations.")]
-  [StorableClass]
+  [StorableType("A3E69FD9-B578-486C-81CE-D1CB65A250CE")]
   public class NMove : Item {
     [Storable]
@@ -56,5 +57,5 @@
 
     [StorableConstructor]
-    protected NMove(bool deserializing) : base(deserializing) { }
+    protected NMove(StorableConstructorFlag _) : base(_) { }
     protected NMove(NMove original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveAbsoluteAttribute.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveAbsoluteAttribute.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveAbsoluteAttribute.cs	(revision 16712)
@@ -26,8 +26,9 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("N-Move Absolute TabuAttribute", "Attribute to determine whether a certain move is tabu.")]
-  [StorableClass]
+  [StorableType("39C4AE8F-9FEB-447A-878B-38796B7E8AAF")]
   public class NMoveAbsoluteTabuAttribute : Item {
 
@@ -38,5 +39,5 @@
 
     [StorableConstructor]
-    protected NMoveAbsoluteTabuAttribute(bool deserializing) : base(deserializing) { }
+    protected NMoveAbsoluteTabuAttribute(StorableConstructorFlag _) : base(_) { }
     protected NMoveAbsoluteTabuAttribute(NMoveAbsoluteTabuAttribute original, Cloner cloner) : base(original, cloner) { }
     public NMoveAbsoluteTabuAttribute(NMove move, IntegerVector assignment, double moveQuality)
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveMaker.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveMaker.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveMaker.cs	(revision 16712)
@@ -28,8 +28,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("N-Move Maker", "Performs an N-Move.")]
-  [StorableClass]
+  [StorableType("9DAB4C4D-533A-4990-B591-A4C877F0CCE9")]
   public class NMoveMaker : SingleSuccessorOperator, IQualityAwareGQAPOperator, IMoveQualityAwareGQAPOperator, IGQAPNMoveOperator, IMoveMaker {
 
@@ -54,5 +55,5 @@
 
     [StorableConstructor]
-    protected NMoveMaker(bool deserializing) : base(deserializing) { }
+    protected NMoveMaker(StorableConstructorFlag _) : base(_) { }
     protected NMoveMaker(NMoveMaker original, Cloner cloner) : base(original, cloner) { }
     public NMoveMaker()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveTabuChecker.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveTabuChecker.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveTabuChecker.cs	(revision 16712)
@@ -28,8 +28,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Moves {
   [Item("N-Move TabuChecker", "Checks if a certain N-Move is tabu.")]
-  [StorableClass]
+  [StorableType("8E122154-5BCE-404A-8AD4-6C30912B3E89")]
   public class NMoveTabuChecker : SingleSuccessorOperator, ITabuChecker,
     IGQAPNMoveOperator, IMoveQualityAwareGQAPOperator {
@@ -68,5 +69,5 @@
 
     [StorableConstructor]
-    protected NMoveTabuChecker(bool deserializing) : base(deserializing) { }
+    protected NMoveTabuChecker(StorableConstructorFlag _) : base(_) { }
     protected NMoveTabuChecker(NMoveTabuChecker original, Cloner cloner) : base(original, cloner) { }
     public NMoveTabuChecker()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveTabuMaker.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveTabuMaker.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/NMoveTabuMaker.cs	(revision 16712)
@@ -26,8 +26,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Moves {
   [Item("N-Move TabuMaker", "Declares an N-Move tabu.")]
-  [StorableClass]
+  [StorableType("BE81C264-2DD8-4A2C-8796-D0D1E121FF53")]
   public class NMoveTabuMaker : TabuMaker, IGQAPNMoveOperator, IMoveQualityAwareGQAPOperator {
 
@@ -43,5 +44,5 @@
 
     [StorableConstructor]
-    protected NMoveTabuMaker(bool deserializing) : base(deserializing) { }
+    protected NMoveTabuMaker(StorableConstructorFlag _) : base(_) { }
     protected NMoveTabuMaker(NMoveTabuMaker original, Cloner cloner) : base(original, cloner) { }
     public NMoveTabuMaker()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/StochasticNMoveMultiMoveGenerator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/StochasticNMoveMultiMoveGenerator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/StochasticNMoveMultiMoveGenerator.cs	(revision 16712)
@@ -28,8 +28,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("Stochastic N-Move MultiMoveGenerator", "Randomly samples a number of N-Moves.")]
-  [StorableClass]
+  [StorableType("EEE53E16-0FB6-4041-A9AC-ECDA5E73A505")]
   public class StochasticNMoveMultiMoveGenerator : GQAPNMoveGenerator, IStochasticOperator, IMultiMoveGenerator {
     
@@ -42,5 +43,5 @@
 
     [StorableConstructor]
-    protected StochasticNMoveMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticNMoveMultiMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected StochasticNMoveMultiMoveGenerator(StochasticNMoveMultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticNMoveMultiMoveGenerator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/StochasticNMoveSingleMoveGenerator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/StochasticNMoveSingleMoveGenerator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Moves/StochasticNMoveSingleMoveGenerator.cs	(revision 16712)
@@ -31,8 +31,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("Stochastic N-Move SingleMoveGenerator", "Randomly samples a single N-Move.")]
-  [StorableClass]
+  [StorableType("7CC8D0D6-C865-485F-A16A-C2ED764C6AC4")]
   public class StochasticNMoveSingleMoveGenerator : GQAPNMoveGenerator, IStochasticOperator, ISingleMoveGenerator {
     
@@ -42,5 +43,5 @@
 
     [StorableConstructor]
-    protected StochasticNMoveSingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticNMoveSingleMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected StochasticNMoveSingleMoveGenerator(StochasticNMoveSingleMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticNMoveSingleMoveGenerator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/CordeauCrossover.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/CordeauCrossover.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/CordeauCrossover.cs	(revision 16712)
@@ -29,8 +29,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("CordeauCrossover", "The merge procedure that is described in Cordeau, J.-F., Gaudioso, M., Laporte, G., Moccia, L. 2006. A memetic heuristic for the generalized quadratic assignment problem. INFORMS Journal on Computing, 18, pp. 433–443.")]
-  [StorableClass]
+  [StorableType("05D7FC4C-EF71-4118-9FF1-B8B71B501A99")]
   public class CordeauCrossover : GQAPCrossover,
     IQualitiesAwareGQAPOperator, IProblemInstanceAwareGQAPOperator {
@@ -47,5 +48,5 @@
 
     [StorableConstructor]
-    protected CordeauCrossover(bool deserializing) : base(deserializing) { }
+    protected CordeauCrossover(StorableConstructorFlag _) : base(_) { }
     protected CordeauCrossover(CordeauCrossover original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/DiscreteLocationCrossover.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/DiscreteLocationCrossover.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/DiscreteLocationCrossover.cs	(revision 16712)
@@ -29,12 +29,13 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("DiscreteLocationCrossover", "Combines the assignment to locations from various parents.")]
-  [StorableClass]
+  [StorableType("E001CEB3-DAA4-4AF4-843B-2DD951F0EAA6")]
   public class DiscreteLocationCrossover : GQAPCrossover {
 
     [StorableConstructor]
-    protected DiscreteLocationCrossover(bool deserializing) : base(deserializing) { }
+    protected DiscreteLocationCrossover(StorableConstructorFlag _) : base(_) { }
     protected DiscreteLocationCrossover(DiscreteLocationCrossover original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/GQAPCrossover.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/GQAPCrossover.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/GQAPCrossover.cs	(revision 16712)
@@ -27,9 +27,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
 
   [Item("GQAPCrossover", "A base class for operators that cross assignment vectors of the GeneralizedQuadraticAssignment problems.")]
-  [StorableClass]
+  [StorableType("DC860DB7-FC00-4374-ADC8-71BB4EDFC6E2")]
   public abstract class GQAPCrossover : SingleSuccessorOperator, IGQAPCrossover, IStochasticOperator {
     public override bool CanChangeName {
@@ -51,5 +52,5 @@
 
     [StorableConstructor]
-    protected GQAPCrossover(bool deserializing) : base(deserializing) { }
+    protected GQAPCrossover(StorableConstructorFlag _) : base(_) { }
     protected GQAPCrossover(GQAPCrossover original, Cloner cloner) : base(original, cloner) { }
     protected GQAPCrossover()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/GQAPPathRelinking.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/GQAPPathRelinking.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/GQAPPathRelinking.cs	(revision 16712)
@@ -30,4 +30,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
@@ -36,5 +37,5 @@
   /// </summary>
   [Item("GQAPPathRelinking", "Operator that performs path relinking between two solutions. It is described in Mateus, G., Resende, M., and Silva, R. 2011. GRASP with path-relinking for the generalized quadratic assignment problem. Journal of Heuristics 17, Springer Netherlands, pp. 527-565.")]
-  [StorableClass]
+  [StorableType("FAE65A24-AE6D-49DD-8A8C-6574D5304E08")]
   public class GQAPPathRelinking : GQAPCrossover, IQualitiesAwareGQAPOperator {
 
@@ -53,5 +54,5 @@
 
     [StorableConstructor]
-    protected GQAPPathRelinking(bool deserializing) : base(deserializing) { }
+    protected GQAPPathRelinking(StorableConstructorFlag _) : base(_) { }
     protected GQAPPathRelinking(GQAPPathRelinking original, Cloner cloner) : base(original, cloner) { }
     public GQAPPathRelinking()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/MultiGQAPCrossover.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/MultiGQAPCrossover.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Crossovers/MultiGQAPCrossover.cs	(revision 16712)
@@ -31,8 +31,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("MultiGQAPCrossover", "Randomly selects and applies one of its crossovers every time it is called.")]
-  [StorableClass]
+  [StorableType("C8AA967E-11CF-48A0-BEC2-71A9ABEB1801")]
   public class MultiGQAPCrossover : StochasticMultiBranch<IGQAPCrossover>, IGQAPCrossover, IProblemInstanceAwareGQAPOperator, IStochasticOperator {
     public override bool CanChangeName {
@@ -54,5 +55,5 @@
 
     [StorableConstructor]
-    protected MultiGQAPCrossover(bool deserializing) : base(deserializing) { }
+    protected MultiGQAPCrossover(StorableConstructorFlag _) : base(_) { }
     protected MultiGQAPCrossover(MultiGQAPCrossover original, Cloner cloner) : base(original, cloner) { }
     public MultiGQAPCrossover()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/LocalImprovers/ApproximateLocalSearch.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/LocalImprovers/ApproximateLocalSearch.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/LocalImprovers/ApproximateLocalSearch.cs	(revision 16712)
@@ -32,4 +32,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
@@ -38,5 +39,5 @@
   /// </summary>
   [Item("ApproximateLocalSearch", "The approximate local search is described in Mateus, G., Resende, M., and Silva, R. 2011. GRASP with path-relinking for the generalized quadratic assignment problem. Journal of Heuristics 17, Springer Netherlands, pp. 527-565.")]
-  [StorableClass]
+  [StorableType("58C75FBC-C586-4048-A60B-DCF967CB2E33")]
   public class ApproximateLocalSearch : SingleSuccessorOperator, IProblemInstanceAwareGQAPOperator,
     IQualityAwareGQAPOperator, IGQAPLocalImprovementOperator, IAssignmentAwareGQAPOperator, IStochasticOperator {
@@ -81,5 +82,5 @@
 
     [StorableConstructor]
-    protected ApproximateLocalSearch(bool deserializing) : base(deserializing) { }
+    protected ApproximateLocalSearch(StorableConstructorFlag _) : base(_) { }
     protected ApproximateLocalSearch(ApproximateLocalSearch original, Cloner cloner) : base(original, cloner) { }
     public ApproximateLocalSearch()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/LocalImprovers/OneOptLocalSearch.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/LocalImprovers/OneOptLocalSearch.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/LocalImprovers/OneOptLocalSearch.cs	(revision 16712)
@@ -32,8 +32,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("1-opt LocalSearch", "A simple exhaustive 1-change local search.")]
-  [StorableClass]
+  [StorableType("C574770B-AB1E-46BE-8B3F-C8C5B2AD3ACF")]
   public class OneOptLocalSearch : SingleSuccessorOperator, IProblemInstanceAwareGQAPOperator,
     IQualityAwareGQAPOperator, IGQAPLocalImprovementOperator, IAssignmentAwareGQAPOperator, IStochasticOperator {
@@ -69,5 +70,5 @@
 
     [StorableConstructor]
-    protected OneOptLocalSearch(bool deserializing) : base(deserializing) { }
+    protected OneOptLocalSearch(StorableConstructorFlag _) : base(_) { }
     protected OneOptLocalSearch(OneOptLocalSearch original, Cloner cloner) : base(original, cloner) { }
     public OneOptLocalSearch()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/DemandEquivalentSwapEquipmentManipluator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/DemandEquivalentSwapEquipmentManipluator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/DemandEquivalentSwapEquipmentManipluator.cs	(revision 16712)
@@ -29,13 +29,14 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
 
   [Item("DemandEquivalentSwapEquipmentManipluator", "Swaps equipment X from location A with as much equipments from location B that the demand of X is less than or equal to the demand of the swapped equipments in B.")]
-  [StorableClass]
+  [StorableType("1FC9A377-D187-414D-9901-D9B26C0BF98E")]
   public class DemandEquivalentSwapEquipmentManipluator : GQAPManipulator {
 
     [StorableConstructor]
-    protected DemandEquivalentSwapEquipmentManipluator(bool deserializing) : base(deserializing) { }
+    protected DemandEquivalentSwapEquipmentManipluator(StorableConstructorFlag _) : base(_) { }
     protected DemandEquivalentSwapEquipmentManipluator(DemandEquivalentSwapEquipmentManipluator original, Cloner cloner) : base(original, cloner) { }
     public DemandEquivalentSwapEquipmentManipluator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/GQAPManipulator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/GQAPManipulator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/GQAPManipulator.cs	(revision 16712)
@@ -27,8 +27,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("GQAPManipulator", "A base class for operators that manipulate assignment vectors of the GeneralizedQuadraticAssignment problems.")]
-  [StorableClass]
+  [StorableType("4AC3D0BB-2BAA-4910-A806-7673BE3E7FEC")]
   public abstract class GQAPManipulator : SingleSuccessorOperator, IGQAPManipulator, IProblemInstanceAwareGQAPOperator, IStochasticOperator {
     public override bool CanChangeName {
@@ -48,5 +49,5 @@
 
     [StorableConstructor]
-    protected GQAPManipulator(bool deserializing) : base(deserializing) { }
+    protected GQAPManipulator(StorableConstructorFlag _) : base(_) { }
     protected GQAPManipulator(GQAPManipulator original, Cloner cloner) : base(original, cloner) { }
     protected GQAPManipulator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/MultiGQAPManipulator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/MultiGQAPManipulator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/MultiGQAPManipulator.cs	(revision 16712)
@@ -31,8 +31,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("MultiGQAPManipulator", "Randomly selects and applies one of its manipulators every time it is called.")]
-  [StorableClass]
+  [StorableType("CA2893AC-EECE-4F3A-A12E-81DC838ADC3C")]
   public class MultiGQAPManipulator : StochasticMultiBranch<IGQAPManipulator>, IGQAPManipulator,
     IProblemInstanceAwareGQAPOperator {
@@ -52,5 +53,5 @@
 
     [StorableConstructor]
-    protected MultiGQAPManipulator(bool deserializing) : base(deserializing) { }
+    protected MultiGQAPManipulator(StorableConstructorFlag _) : base(_) { }
     protected MultiGQAPManipulator(MultiGQAPManipulator original, Cloner cloner) : base(original, cloner) { }
     public MultiGQAPManipulator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/RelocateEquipmentManipluator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/RelocateEquipmentManipluator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/RelocateEquipmentManipluator.cs	(revision 16712)
@@ -27,13 +27,14 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
 
   [Item("RelocateEquipmentManipluator", "Relocates a random equipment from an overstuffed location to a random one with space or a random equipment if constraints are satisfied.")]
-  [StorableClass]
+  [StorableType("B696CF26-6654-4CFC-8527-752C9F16F7DD")]
   public class RelocateEquipmentManipluator : GQAPManipulator {
     
     [StorableConstructor]
-    protected RelocateEquipmentManipluator(bool deserializing) : base(deserializing) { }
+    protected RelocateEquipmentManipluator(StorableConstructorFlag _) : base(_) { }
     protected RelocateEquipmentManipluator(RelocateEquipmentManipluator original, Cloner cloner) : base(original, cloner) { }
     public RelocateEquipmentManipluator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/SwapEquipmentManipluator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/SwapEquipmentManipluator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/SwapEquipmentManipluator.cs	(revision 16712)
@@ -25,13 +25,14 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
 
   [Item("SwapEquipmentManipluator", "Swaps two equipments by placing each in the location of the other.")]
-  [StorableClass]
+  [StorableType("FC7FD665-84A3-4BEA-A139-8248120375E0")]
   public class SwapEquipmentManipluator : GQAPManipulator {
 
     [StorableConstructor]
-    protected SwapEquipmentManipluator(bool deserializing) : base(deserializing) { }
+    protected SwapEquipmentManipluator(StorableConstructorFlag _) : base(_) { }
     protected SwapEquipmentManipluator(SwapEquipmentManipluator original, Cloner cloner) : base(original, cloner) { }
     public SwapEquipmentManipluator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/SwapLocationManipulator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/SwapLocationManipulator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Manipulators/SwapLocationManipulator.cs	(revision 16712)
@@ -26,13 +26,14 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
 
   [Item("SwapLocationManipluator", "Swaps two locations by exchanging all equipments between the locations.")]
-  [StorableClass]
+  [StorableType("F0828F68-42FD-4B3E-9E55-5A7145A442AB")]
   public class SwapLocationManipluator : GQAPManipulator {
     
     [StorableConstructor]
-    protected SwapLocationManipluator(bool deserializing) : base(deserializing) { }
+    protected SwapLocationManipluator(StorableConstructorFlag _) : base(_) { }
     protected SwapLocationManipluator(SwapLocationManipluator original, Cloner cloner) : base(original, cloner) { }
     public SwapLocationManipluator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Shakers/NMoveShakingOperator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Shakers/NMoveShakingOperator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Operators/Shakers/NMoveShakingOperator.cs	(revision 16712)
@@ -28,8 +28,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Operators {
   [Item("NMoveShakingOperator", "Performs a number of shaking operations that increase in strength.")]
-  [StorableClass]
+  [StorableType("22D9F959-9BAB-497D-B593-FF19BD8CE9AB")]
   public class NMoveShakingOperator : SingleSuccessorOperator, IProblemInstanceAwareGQAPOperator,
     IAssignmentAwareGQAPOperator, IMultiNeighborhoodShakingOperator, IStochasticOperator {
@@ -53,5 +54,5 @@
 
     [StorableConstructor]
-    protected NMoveShakingOperator(bool deserializing) : base(deserializing) { }
+    protected NMoveShakingOperator(StorableConstructorFlag _) : base(_) { }
     protected NMoveShakingOperator(NMoveShakingOperator original, Cloner cloner) : base(original, cloner) { }
     public NMoveShakingOperator() {
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Plugin.cs.frame
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Plugin.cs.frame	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Plugin.cs.frame	(revision 16712)
@@ -25,4 +25,5 @@
   [Plugin("HeuristicLab.Problems.GeneralizedQuadraticAssignment", "3.3.15.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.GeneralizedQuadraticAssignment-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Attic", "1.0")]
   [PluginDependency("HeuristicLab.Analysis", "3.3")]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPSolutionCreator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPSolutionCreator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPSolutionCreator.cs	(revision 16712)
@@ -27,8 +27,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("GQAPSolutionCreator", "Base class for solution creators of the Generalized Quadratic Assignment Problem.")]
-  [StorableClass]
+  [StorableType("1FD56558-5E7C-470C-8E7C-B3CEF7DB1D61")]
   public abstract class GQAPSolutionCreator : SingleSuccessorOperator, IProblemInstanceAwareGQAPOperator, IGQAPSolutionCreator {
 
@@ -51,5 +52,5 @@
 
     [StorableConstructor]
-    protected GQAPSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected GQAPSolutionCreator(StorableConstructorFlag _) : base(_) { }
     protected GQAPSolutionCreator(GQAPSolutionCreator original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPStochasticSolutionCreator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPStochasticSolutionCreator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPStochasticSolutionCreator.cs	(revision 16712)
@@ -26,8 +26,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("GQAPStochasticSolutionCreator", "Base class for stochastic solution creators of the Generalized Quadratic Assignment Problem.")]
-  [StorableClass]
+  [StorableType("D7789768-032F-4EAB-ADED-FF4DD5A23B99")]
   public abstract class GQAPStochasticSolutionCreator : GQAPSolutionCreator, IStochasticOperator {
 
@@ -37,5 +38,5 @@
 
     [StorableConstructor]
-    protected GQAPStochasticSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected GQAPStochasticSolutionCreator(StorableConstructorFlag _) : base(_) { }
     protected GQAPStochasticSolutionCreator(GQAPStochasticSolutionCreator original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GreedyRandomizedSolutionCreator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GreedyRandomizedSolutionCreator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GreedyRandomizedSolutionCreator.cs	(revision 16712)
@@ -31,4 +31,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
@@ -37,5 +38,5 @@
   /// </summary>
   [Item("GreedyRandomizedSolutionCreator", "Creates a solution according to the procedure described in Mateus, G., Resende, M., and Silva, R. 2011. GRASP with path-relinking for the generalized quadratic assignment problem. Journal of Heuristics 17, Springer Netherlands, pp. 527-565.")]
-  [StorableClass]
+  [StorableType("44919EFC-AF47-4F0D-8EE4-F5AECBF776CA")]
   public class GreedyRandomizedSolutionCreator : GQAPStochasticSolutionCreator {
 
@@ -48,5 +49,5 @@
 
     [StorableConstructor]
-    protected GreedyRandomizedSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected GreedyRandomizedSolutionCreator(StorableConstructorFlag _) : base(_) { }
     protected GreedyRandomizedSolutionCreator(GreedyRandomizedSolutionCreator original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/RandomButFeasibleSolutionCreator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/RandomButFeasibleSolutionCreator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/RandomButFeasibleSolutionCreator.cs	(revision 16712)
@@ -31,8 +31,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("RandomButFeasibleSolutionCreator", "Creates a random, but feasible solution to the Generalized Quadratic Assignment Problem.")]
-  [StorableClass]
+  [StorableType("3C194DAF-81A9-4FA3-AE7F-45951FC33DE1")]
   public class RandomFeasibleSolutionCreator : GQAPStochasticSolutionCreator {
 
@@ -45,5 +46,5 @@
 
     [StorableConstructor]
-    protected RandomFeasibleSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected RandomFeasibleSolutionCreator(StorableConstructorFlag _) : base(_) { }
     protected RandomFeasibleSolutionCreator(RandomFeasibleSolutionCreator original, Cloner cloner) : base(original, cloner) { }
     public RandomFeasibleSolutionCreator()
Index: branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/SlackMinimizationSolutionCreator.cs
===================================================================
--- branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/SlackMinimizationSolutionCreator.cs	(revision 16077)
+++ branches/2936_GQAPIntegration/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/SlackMinimizationSolutionCreator.cs	(revision 16712)
@@ -31,8 +31,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("SlackMinimizationSolutionCreator", "A heuristic that creates a solution to the Generalized Quadratic Assignment Problem by minimizing the amount of slack.")]
-  [StorableClass]
+  [StorableType("02676A57-A686-4FDB-B912-B3792C749669")]
   public class SlackMinimizationSolutionCreator : GQAPStochasticSolutionCreator {
 
@@ -51,5 +52,5 @@
 
     [StorableConstructor]
-    protected SlackMinimizationSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected SlackMinimizationSolutionCreator(StorableConstructorFlag _) : base(_) { }
     protected SlackMinimizationSolutionCreator(SlackMinimizationSolutionCreator original, Cloner cloner) : base(original, cloner) { }
     public SlackMinimizationSolutionCreator()
